netread(1)

NAME
netread - read data transported over network using netwrite

SYNOPSIS
netread [udp] [-f host ] [-c] [-C algorithm ] [-o file ] [-s] [-b] [-h <n> ] [-H] <n> ] [-q] [-v] [-vv] [-V] [-vV] netread is part of the netrw package. It is a simple (but powerful) tool for transporting data over the internet, in conjunction with netwrite(1)

DESCRIPTION
The main purpose of netrw is to simplify and speed up file transfers to hosts without an FTP server. It can also be used for uploading data to some other user. It is something like one-way netcat (nc) with some nice features concerning data transfers. Netrw can compute and check message digest (MD5, SHA-1, and some others) of all the data being transferred, it can also print information on progress and average speed. At the end it sums up the transfer.

OPTIONS

udp Changes the default TCP protocol can be changed to UDP.

-f host
    Works in the firewall mode; connection is initiated by netread.

-c  This option is ignored. Transmission checksum is activated by default.

-C algorithm
    Uses the specified algorithm for checksum. This option also implies -c
     . Supported algorithms (the first is default): sha1 md5 rmd160 none

-o <file>
    Writes data to file instead of stdout.

-s  In case -o option is specified, open the file for synchronous I/O. Otherwise, this option has no effect.

-b  print speed in b/s instead of B/s

-h <n>
    Prints `#' after each n KiB transferred (def. 10485.76).

-H <n>
    Prints `#' after each n MiB transferred (def. 10.24).

-q  Be quiet.

-v  Be verbose.

-vv Be very verbose.

-V  Show version.

-vV Show verbose version.

RETURN VALUES

0   no errors.

1   some error occured.

2   checksum validation failed.

SEE ALSO
netwrite(1), /usr/share/doc/netrw/README

AUTHOR
netread was written by Jiri Denemark <jirka@ics.muni.cz>. For more information, visit http://www.fi.muni.cz/~xdenemar/netrw

This manual page was written by Kumar Appaiah <akumar@ee.iitm.ac.in>, for the Debian project (but may be used by others).